For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ModelsChatRankingsDocs
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
  • API Guides
    • Overview
    • Streaming
    • Embeddings
    • Limits
    • Authentication
    • Parameters
    • Errors and Debugging
  • API Reference
      • GETList all models and their properties
      • GETGet total count of available models
      • GETList models filtered by user provider preferences, privacy settings, and guardrails
LogoLogo
ModelsChatRankingsDocs
API ReferenceModels

List models filtered by user provider preferences, privacy settings, and guardrails

GET
https://openrouter.ai/api/v1/models/user
GET
/api/v1/models/user
$curl https://openrouter.ai/api/v1/models/user \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "architecture": {
5 "input_modalities": [
6 "text"
7 ],
8 "modality": "text->text",
9 "output_modalities": [
10 "text"
11 ],
12 "instruct_type": "chatml",
13 "tokenizer": "GPT"
14 },
15 "canonical_slug": "openai/gpt-4",
16 "context_length": 8192,
17 "created": 1692901234,
18 "default_parameters": null,
19 "id": "openai/gpt-4",
20 "links": {
21 "details": "/api/v1/models/openai/gpt-5.4/endpoints"
22 },
23 "name": "GPT-4",
24 "per_request_limits": null,
25 "pricing": {
26 "completion": "0.00006",
27 "prompt": "0.00003",
28 "image": "0",
29 "request": "0"
30 },
31 "supported_parameters": [
32 "temperature",
33 "top_p",
34 "max_tokens"
35 ],
36 "supported_voices": null,
37 "top_provider": {
38 "is_moderated": true,
39 "context_length": 8192,
40 "max_completion_tokens": 4096
41 },
42 "description": "GPT-4 is a large multimodal model that can solve difficult problems with greater accuracy.",
43 "expiration_date": null,
44 "knowledge_cutoff": null
45 }
46 ]
47}
List models filtered by user provider preferences, [privacy settings](https://openrouter.ai/docs/guides/privacy/provider-logging), and [guardrails](https://openrouter.ai/docs/guides/features/guardrails). If requesting through `eu.openrouter.ai/api/v1/...` the results will be filtered to models that satisfy [EU in-region routing](https://openrouter.ai/docs/guides/privacy/provider-logging#enterprise-eu-in-region-routing).
Was this page helpful?
Previous

List observability destinations

Next
Built with

List models filtered by user provider preferences, privacy settings, and guardrails. If requesting through eu.openrouter.ai/api/v1/... the results will be filtered to models that satisfy EU in-region routing.

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Response

Returns a list of models filtered by user provider preferences
datalist of objects
List of available models

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error